Subject: [RAI] Let's talk about a Dublin agenda

From: Cullen Jennings <[email-masked]>
Date: Tue, 24 Jun 2008 19:47:05 -0700

moved thread to RAI ...

On Jun 24, 2008, at 4:09 PM, Mary Barnes wrote:

> Dan - your suggestion was for groups that have more overlap (e.g.,  
> SIP,
> MMUSIC with XCON, MEDIACTRL).  The groups Hadriel is explicitly
> suggesting might just work (well it does for me :).

Upping the number of overlaps seems like a good plan but everyone  
seems to think it is a good idea to overlap someone else's work.  Keep  
in mind RAI has a much more cohesive set of work than many area just  
by the nature of the work.

Previous message from xcon chair on conflicting with SIP and MUSIC at

http://www.ietf.org/mail-archive/web/rai-discuss/current/msg00011.html

I've received similar messages from mediactrl folks. Even the AVT /  
ENUM overlap generates problems complaints.

speechsc, iptel, and sigtran are not meeting so no need to overlap them

_______________________________________________
RAI mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/rai

---

From: Hadriel Kaplan <[email-masked]>
Date: Tue, 24 Jun 2008 23:17:30 -0400

Howdy,
So for those of you not on the SIP mailing list, we were talking about the lack of meeting time at IETF meetings for RAI WG/BOF slots.  A short while back Dan proposed overlapping some WGs, but to overlap with SIP or MMUSIC which is a bit tough to swallow given their large scope/applicability.

So, I proposed the following instead...

Thread-safe:
Thread-1          Thread-2        Thread-3
--------          --------        --------
speermint         xcon            p2psip
drinks            mediactrl
enum              speechsc

Global:
-------
avt
bliss
mmusic
simple
sip
sipping
ecrit
geopriv

Any Thread WG can conflict with a WG from another Thread.  No Global or Thread WG can conflict with a Global WG.
You could probably create a Thread-4 with ecrit and geopriv, but 3 concurrent threads seem enough.

-hadriel

> -----Original Message-----
> From: Dan Wing [mailto:[email-masked]]
>
> I was shot down when I proposed it:
> http://www.ietf.org/mail-archive/web/rai-
> discuss/current/threads.html#00009
>
> I do hope we reconsider.
>
> -d

---

From: Hadriel Kaplan <[email-masked]>
Date: Tue, 24 Jun 2008 23:27:03 -0400

> From: [email-masked] [mailto:[email-masked]] On Behalf Of
> Cullen Jennings
>

Yup those are both ones I want to attend as well, but we'll never get 100% satisfaction - plenty of us want to attend some non-RAI WG's too, but that's life.  The best we can do is no conflicts for the "big-ticket" WGs, and no conflicts for related-topic WGs.  I think it's still better than artificially reducing the meeting times, fwiw.

-hadriel
p.s. obviously we can't have more than two concurrent RAI meetings in any given time slot though, due to only having 2 AD's.
_______________________________________________
RAI mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/rai

---

From: "Dan Wing" <[email-masked]>
Date: Tue, 24 Jun 2008 20:46:42 -0700

> > SIP, MMUSIC with XCON, MEDIACTRL).  The groups Hadriel is explicitly
> seems to think it is a good idea to overlap someone else's 
> work.  Keep in mind RAI has a much more cohesive set of work than 
> many area just by the nature of the work.
>

Yes, that post harkens back to "Dan's specific examples of working groups that
could overlap is bad".  I have acknowledged the deficiency of my earlier post
to rai-discuss earlier today on SIP.  Please remove those specific WG examples
from your in-memory cache.

> ENUM overlap generates problems complaints.

That is the nature of the beast especially considering that the IETF
does not use a computer to help optimize scheduling and reduce conflicts.
I have been reading very good things about computers in the newspaper 
and I think it's something we should be examining.  (half a smiley)

> speechsc, iptel, and sigtran are not meeting so no need to 

Good deal.

I looked at the published Dublin agenda (as I have no access to unpublished
information), and INT and RTG both have *many* working groups that overlap.
They must be superhuman, and their work must be entirely unrelated!  If we are
going to split RAI groups into smaller groups, we will have to face our fear
of overlapping working groups.  I suggest we all bulk up at the gym like INT
and RTG have apparently done.

RAI has 14 working groups meeting.  I am sure there are other combinations
that could be mulled over; someone who paid better attention in their
combinatorics class could even calculate how many there are.  Hadriel has a
suggestion <http://www.ietf.org/mail-archive/web/sip/current/msg23869.html> on
the table -- let's use that as the straw-man, and please ignore my earlier
examples of working groups that could overlap.

"Discuss."

-d

---

From: "Even, Roni" <[email-masked]>
Date: Wed, 25 Jun 2008 08:49:31 +0300

Hi,
Another degree of freedom is the session length. Maybe we can look at
being more flexible with the session times requested for a WG since not
all time slots are the same and have more flexibility.

Roni Even

> Hadriel Kaplan
> Sent: Wednesday, June 25, 2008 6:18 AM
> To: [email-masked]
> Subject: [RAI] Let's talk about IETF agendas
> 
> Howdy,
> So for those of you not on the SIP mailing list, we were talking about
> the lack of meeting time at IETF meetings for RAI WG/BOF slots.  A
> short while back Dan proposed overlapping some WGs, but to overlap
with
> SIP or MMUSIC which is a bit tough to swallow given their large
> scope/applicability.
> 
> Any Thread WG can conflict with a WG from another Thread.  No Global
or
> Thread WG can conflict with a Global WG.

---

From: "Pete Cordell" <[email-masked]>
Date: Wed, 25 Jun 2008 09:35:08 +0100

I looked at the agenda and at the moment the whole of Thursday looks pretty 
clash free with regard to VoIP work.  Would it be possible to get volunteers 
for a bunch of design teams that could each focus on progressing a different 
draft?

The design teams could potentially be given specific issues to address like 
work sheets you get at school!  For example, sort out these issues, document 
the problem, document the possible solutions, document the proposed solution 
and why you have selected.  The result of that would basically be a report 
that could be something that went on the list for wider approval.  Or the 
design team could just focus on addressing editorial issues with a view to 
getting a new version out, or whatever was required.

One issue is obviously meeting rooms.  The IETF might be able to provide 
some space.  Alternatively it might be possible for the team members to club 
together and share the cost of a room (it ought to be a fairly small amount 
compared to attending the meeting).  If that fails, small numbers of people 
could always meet in someone's (bed)room (although you'll have to bear in 
mind that these would be UK sized rooms rather than US!).  There's obviously 
always the communal areas, but getting out of the hub bub would be 
preferable in my opinion.

If Thursday ends up being booked up, maybe in future such a procedure could 
be done on the Sunday before the meeting.  The design teams could then 
report results in the actual meetings.  I know that people don't like to 
stay the extra days, but I think a lot of work could be done at such 
focussed sessions and it would be easier to do an extra day at an IETF 
rather than travel to a separate interim.

Well, even if that's not the most amazing idea ever, maybe it'll give 
someone else some ideas!!!

Cheers and enjoy your meeting (I'll be on holiday!).

Pete.
--
=============================================
Pete Cordell
Codalogic
=============================================

----- Original Message ----- 
From: "Dan Wing" <[email-masked]>
To: "'Cullen Jennings'" <[email-masked]>; <[email-masked]>
Cc: "'Hadriel Kaplan'" <[email-masked]>
Sent: Wednesday, June 25, 2008 4:46 AM
Subject: Re: [RAI] Let's talk about a Dublin agenda

> suggestion 
> <http://www.ietf.org/mail-archive/web/sip/current/msg23869.html> on

---

From: "Spencer Dawkins" <[email-masked]>
Date: Wed, 25 Jun 2008 07:57:58 -0500

Ummm...

> p.s. obviously we can't have more than two concurrent RAI meetings in any 
> given time slot though, due to only having 2 AD's.

This is not obvious to me. *If we made decisions in working group 
face-to-face meetings*, it might be obvious. But the purpose of face-to-face 
meetings is to have high-bandwidth exchanges and propose resolutions to 
issues that couldn't be resolved on the mailing list, right?

Outside RAI, it does happen that working groups meet without ADs in the room 
(example - any slot where an area has two meetings, and one of the ADs needs 
to attend a BOF in another area). I remember co-chairing PILC more than once 
without either AD in the room.

Please feel free to ignore this for now, because we have two ADs and we 
aren't overlapping at all, but if we ever do figure out how to overlap in 
RAI, I might mention it again.

Thanks,

Spencer

---

From: "Mary Barnes" <[email-masked]>
Date: Wed, 25 Jun 2008 09:05:07 -0500

Pete,

I don't think this would be an effective use of main meeting time. Also,
I do imagine that the currently non-RAI session will be filled before
the agenda is finalized. I agree there is high value in design teams
meeting face-to-face, but I strongly believe that must happen outside
the main sessions or during sessions in which the primary members of the
design team can miss sessions during those slots.  Also, some of us plan
on traveling early for these sorts of things, although I realize that
doesn't work for everyone.
So, I don't think that would work as an across the board approach, but
certainly should be considered for some work items. Also, given it's
later in the week, it's often not as effective since there typically
would not be time to bring any conclusions or items for consensus back
the WG, which leads to my next point. I think you really 
highlight IMHO that WGs (not all mind you) are not doing an effective
job at working on issues outside the main meetings. Given the huge gap
between the upcoming meeting and the March meeting, my experience has
been that some WGs have not made reasonable progress. 

Regards,
Mary. 

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of
Pete Cordell
Sent: Wednesday, June 25, 2008 3:35 AM
To: Dan Wing; 'Cullen Jennings'; [email-masked]
Cc: 'Hadriel Kaplan'
Subject: Re: [RAI] Let's talk about a Dublin agenda

I looked at the agenda and at the moment the whole of Thursday looks
pretty clash free with regard to VoIP work.  Would it be possible to get
volunteers for a bunch of design teams that could each focus on
progressing a different draft?

The design teams could potentially be given specific issues to address
like work sheets you get at school!  For example, sort out these issues,
document the problem, document the possible solutions, document the
proposed solution and why you have selected.  The result of that would
basically be a report that could be something that went on the list for
wider approval.  Or the design team could just focus on addressing
editorial issues with a view to getting a new version out, or whatever
was required.

One issue is obviously meeting rooms.  The IETF might be able to provide
some space.  Alternatively it might be possible for the team members to
club together and share the cost of a room (it ought to be a fairly
small amount compared to attending the meeting).  If that fails, small
numbers of people could always meet in someone's (bed)room (although
you'll have to bear in mind that these would be UK sized rooms rather
than US!).  There's obviously always the communal areas, but getting out
of the hub bub would be preferable in my opinion.

If Thursday ends up being booked up, maybe in future such a procedure
could be done on the Sunday before the meeting.  The design teams could
then report results in the actual meetings.  I know that people don't
like to stay the extra days, but I think a lot of work could be done at
such focussed sessions and it would be easier to do an extra day at an
IETF rather than travel to a separate interim.

Pete.

----- Original Message -----
From: "Dan Wing" <[email-masked]>
To: "'Cullen Jennings'" <[email-masked]>; <[email-masked]>
Cc: "'Hadriel Kaplan'" <[email-masked]>
Sent: Wednesday, June 25, 2008 4:46 AM
Subject: Re: [RAI] Let's talk about a Dublin agenda

>
> Yes, that post harkens back to "Dan's specific examples of working
groups 
> that
> could overlap is bad".  I have acknowledged the deficiency of my
earlier 
> post
> They must be superhuman, and their work must be entirely unrelated!
If we 
> are
> going to split RAI groups into smaller groups, we will have to face
our 
> fear
> of overlapping working groups.  I suggest we all bulk up at the gym
like 
> INT
> combinatorics class could even calculate how many there are.  Hadriel
has 
> a

---

From: "Mary Barnes" <[email-masked]>
Date: Wed, 25 Jun 2008 09:10:21 -0500

I agree we can't please everyone and I would add an additional
suggestion that if we do the "Thread approach" that I really like in
general, we make sure that we rotate which WGs conflict, to allow those
of us that are expected to monitor some of the other groups a chance to
at least periodically attend.   Per my response to Pete, I think this
approach would work well and re-enforces that we should be doing more
work on the mailing list between meetings, so it shouldn't be so
critical if one misses one WG session each year, at least for the
sessions in which we are actively contributing. 

However, I will make one final note that sometimes we will have
conflicts with this approach, as some of us have work in different
threads and although this might be a minority, it would have to be
considered in the thread approach. The tools that track authors and
active WGs would be very useful in this case.

Mary. 

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of
Hadriel Kaplan
Sent: Tuesday, June 24, 2008 10:27 PM
To: Cullen Jennings; [email-masked]
Subject: Re: [RAI] Let's talk about a Dublin agenda

> ENUM overlap generates problems complaints.

Yup those are both ones I want to attend as well, but we'll never get
100% satisfaction - plenty of us want to attend some non-RAI WG's too,
but that's life.  The best we can do is no conflicts for the
"big-ticket" WGs, and no conflicts for related-topic WGs.  I think it's
still better than artificially reducing the meeting times, fwiw.

-hadriel
p.s. obviously we can't have more than two concurrent RAI meetings in
any given time slot though, due to only having 2 AD's.
_______________________________________________
RAI mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/rai
_______________________________________________
RAI mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/rai

---

From: "Dan Wing" <[email-masked]>
Date: Wed, 25 Jun 2008 10:14:34 -0700

> The tools that track authors and active WGs would be very useful 
> in this case.

Yep.  As would collecting real information from real attendees -- such as when
they pay their registration fee.  And give each IESG member an additional 50
"votes" to tweak the algorithm.  This would have an additional benefit of
additional encouragement to pay registration fee earlier (rather than later),
as you get to vote on which WGs you don't want to conflict -- somewhat like
how WG chairs, today, indicate their #1/#2/#3 conflict list.

"Where there is a will ..."

-d

---

From: Dean Willis <[email-masked]>
Date: Thu, 26 Jun 2008 15:45:55 -0500

On Jun 25, 2008, at 3:35 AM, Pete Cordell wrote:

> If Thursday ends up being booked up, maybe in future such a  
> procedure could be done on the Sunday before the meeting.  The  
> design teams could then report results in the actual meetings.  I  
> know that people don't like to stay the extra days, but I think a  
> lot of work could be done at such focussed sessions and it would be  
> easier to do an extra day at an IETF rather than travel to a  
> separate interim.
>

I think Sunday workshop time is a great idea.

--
Dean

---

From: Gonzalo Camarillo <[email-masked]>
Date: Fri, 27 Jun 2008 09:47:09 +0300

On Sunday, the IESG usually meets in the morning and the IAB in the 
afternoon (although these slots can be swapped). Other than that (i.e., 
if you do not need any I* member to attend your session), it is a good day.

Cheers,

Gonzalo

Dean Willis wrote:
>> could be done on the Sunday before the meeting.  The design teams 
>> could then report results in the actual meetings.  I know that people 
>> don't like to stay the extra days, but I think a lot of work could be 
>> done at such focussed sessions and it would be easier to do an extra 
>> day at an IETF rather than travel to a separate interim.
>>
>

---

From: "Spencer Dawkins" <[email-masked]>
Date: Fri, 27 Jun 2008 08:12:56 -0500

The problem is, there are only so many degrees of freedom.

- meet on Sunday?

- meet on Friday afteroon/Saturday afterwards?

- meet in parallel tracks?

- meet late-night?

- do our work on the mailing list and reserve meeting time for 
high-bandwidth discussion of issues that we haven't been able to resolve on 
the mailing list? :-) but that should be orthogonal...

> afternoon (although these slots can be swapped). Other than that (i.e., if 
> you do not need any I* member to attend your session), it is a good day.

Are we solving a problem that other areas share? If so...

It is a matter of public record that much of the IESG and IAB met with ITU 
representatives on Saturday before the Chicago IETF, so it's probably not 
physically impossible for the IESG and IAB meetings to move to Saturday 
before (for any IETF nn, where nn > 72), and they might be motivated to do 
that, if the result was higher-quality documents that are completed closer 
to working group milestone dates...

Thanks,

Spencer